StoreConfig (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.StoreConfig class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Class StoreConfig

    java.lang.Object
      org.apache.catalina.storeconfig.StoreConfig

All Implemented Interfaces:
  IStoreConfig

public class StoreConfig
extends java.lang.Object
implements IStoreConfig

Store Server/Service/Host/Context at file or PrintWriter. Default server.xml is at $catalina.base/conf/server.xml

Author:
  Peter Rossbach

Constructor Summary
`StoreConfig()`

Method Summary
`StoreRegistry` | `getRegistry()` Get Configuration Registry
`java.lang.String` | `getServerFilename()` get server.xml location
`void` | `setRegistry(StoreRegistry aRegistry)` Set Configuration Registry
`void` | `setServerFilename(java.lang.String string)` set new server.xml location
`void` | `store(Context aContext)` Store the specified Context properties.
`void` | `store(java.io.PrintWriter aWriter, int indent, Context aContext)` Store the specified Context properties.
`void` | `store(java.io.PrintWriter aWriter, int indent, Host aHost)` Store the specified Host properties.
`void` | `store(java.io.PrintWriter writer, int indent, Server aServer)` Store the state of this Server MBean (which will recursively store everything)
`void` | `store(java.io.PrintWriter aWriter, int indent, Service aService)` Store the specified Service properties.
`void` | `store(Server aServer)` Write the configuration information for this entire `Server` out to the server.xml configuration file.
`void` | `storeConfig()` Store current Server
`void` | `storeContext(java.lang.String aContextName, boolean backup, boolean externalAllowed)` Store a Context from ObjectName
`void` | `storeServer(java.lang.String aServerName, boolean backup, boolean externalAllowed)` Store Server from Object Name (Catalina:type=Server)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoreConfig

    public StoreConfig()

Method Detail

### getServerFilename

    public java.lang.String getServerFilename()

  get server.xml location

  Returns:
    The server file name

### setServerFilename

    public void setServerFilename(java.lang.String string)

  set new server.xml location

  Parameters:
    `string` -

### getRegistry

    public StoreRegistry getRegistry()

  Description copied from interface: `IStoreConfig`
  Get Configuration Registry

  Specified by:
    `getRegistry` in interface `IStoreConfig`
  Returns:
    aRegistry that handle the store operations

### setRegistry

    public void setRegistry(StoreRegistry aRegistry)

  Description copied from interface: `IStoreConfig`
  Set Configuration Registry

  Specified by:
    `setRegistry` in interface `IStoreConfig`
  Parameters:
    `aRegistry` - aregistry that handle the store operations

### storeConfig

    public void storeConfig()

  Store current Server

  Specified by:
    `storeConfig` in interface `IStoreConfig`
  See Also:
    `ServerFactory.getServer()`

### storeServer

    public void storeServer(java.lang.String aServerName,
                            boolean backup,
                            boolean externalAllowed)
                     throws javax.management.MalformedObjectNameException

  Store Server from Object Name (Catalina:type=Server)

  Parameters:
    `aServerName` - Server ObjectName
    `backup` -
    `externalAllowed` - s *
  Throws:
    `javax.management.MalformedObjectNameException`

### storeContext

    public void storeContext(java.lang.String aContextName,
                             boolean backup,
                             boolean externalAllowed)
                      throws javax.management.MalformedObjectNameException

  Store a Context from ObjectName

  Parameters:
    `aContextName` - MBean ObjectName
    `backup` -
    `externalAllowed` -
  Throws:
    `javax.management.MalformedObjectNameException`

### store

    public void store(Server aServer)

  Write the configuration information for this entire `Server` out to the server.xml configuration file.

  Specified by:
    `store` in interface `IStoreConfig`
  Parameters:
    `aServer` - Object to be stored

### store

    public void store(Context aContext)

  Description copied from interface: `IStoreConfig`
  Store the specified Context properties.

  Specified by:
    `store` in interface `IStoreConfig`
  Parameters:
    `aContext` - Object to be stored

### store

    public void store(java.io.PrintWriter aWriter,
                      int indent,
                      Context aContext)

  Description copied from interface: `IStoreConfig`
  Store the specified Context properties.

  Specified by:
    `store` in interface `IStoreConfig`
  Parameters:
    `aWriter` - PrintWriter to which we are storing
    `indent` - Number of spaces to indent this element
    `aContext` - Object to be stored

### store

    public void store(java.io.PrintWriter aWriter,
                      int indent,
                      Host aHost)

  Description copied from interface: `IStoreConfig`
  Store the specified Host properties.

  Specified by:
    `store` in interface `IStoreConfig`
  Parameters:
    `aWriter` - PrintWriter to which we are storing
    `indent` - Number of spaces to indent this element
    `aHost` - Object to be stored

### store

    public void store(java.io.PrintWriter aWriter,
                      int indent,
                      Service aService)

  Description copied from interface: `IStoreConfig`
  Store the specified Service properties.

  Specified by:
    `store` in interface `IStoreConfig`
  Parameters:
    `aWriter` - PrintWriter to which we are storing
    `indent` - Number of spaces to indent this element
    `aService` - Object to be stored

### store

    public void store(java.io.PrintWriter writer,
                      int indent,
                      Server aServer)

  Store the state of this Server MBean (which will recursively store everything)

  Specified by:
    `store` in interface `IStoreConfig`
  Parameters:
    `writer` -
    `indent` -
    `aServer` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.